Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (fe1a4191a3379214e6a4d6b77e8a5d14acdad7bd)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Justin Boffemmyer <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (fe1a4191a3379214e6a4d6b77e8a5d14acdad7bd)
  • Date: Wed, 7 Jan 2009 08:25:23 -0600

GIT changes to test cauldron by Justin Boffemmyer <flux AT sourcemage.org>:

scripts/spellcaster.sh | 29 +++++++++++++++++------------
1 files changed, 17 insertions(+), 12 deletions(-)

New commits:
commit fe1a4191a3379214e6a4d6b77e8a5d14acdad7bd
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

scripts/spellcaster.sh: better exits/error msgs

Be more verbose when exiting due to error, and don't force exit 0 at the
end of the script.

commit ab731d60d3e8b321b8a56abba32e4823f4c70f49
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

scripts/spellcaster.sh: no need to clean build

We don't need to clean the build directory of all the files, only the
casting script. If the user wants a clean build directory, the best
solution would be to rm -r the whole build tree and start from scratch.

diff --git a/scripts/spellcaster.sh b/scripts/spellcaster.sh
index 1daf3e9..d64a60f 100755
--- a/scripts/spellcaster.sh
+++ b/scripts/spellcaster.sh
@@ -116,6 +116,7 @@ function sanity_check() {
. "$TARGET/var/lib/sorcery/modules/libstate"
modify_config $config ARCHIVE on
else
+ echo "Archiving required, bailing out!"
exit 2
fi
fi
@@ -220,7 +221,11 @@ function install_kernel() {
kconfig="$SRC/boot/config"
fi
fi
- [[ -z $kconfig ]] && exit 13
+ if [[ -z $kconfig ]]
+ then
+ echo "Could not find $SRC kernel config!"
+ exit 13
+ fi

# Try to autodetect the linux kernel version using kernel directory or
# kernel config
@@ -245,7 +250,11 @@ function install_kernel() {
version="${version##*version: }"
fi
fi
- [[ -z $version ]] && exit 14
+ if [[ -z $version ]]
+ then
+ echo "Could not determine $SRC kernel version!"
+ exit 14
+ fi

# Try to guess the location of the kernel itself
if [[ -z $kernel ]]
@@ -258,7 +267,11 @@ function install_kernel() {
kernel="$SRC/usr/src/linux/arch/i386/boot/bzImage"
fi
fi
- [[ -z $kernel ]] && exit 15
+ if [[ -z $kernel ]]
+ then
+ echo "Could not find $SRC kernel image!"
+ exit 15
+ fi

# Copy the kernel config and symlink
cp -f "$kconfig" "$DST"/boot/config-$version
@@ -385,8 +398,6 @@ DEV
}

function clean_target() {
- local config="etc/sorcery/local/kernel.config"
-
# Restore resolv.conf, the first rm is needed in case something
# installs a hardlink (like ppp)
rm -f "$TARGET/etc/resolv.conf" &&
@@ -394,11 +405,7 @@ function clean_target() {
rm -f "$TARGET/tmp/resolv.conf"

# Clean up the target
- rm -f "$TARGET/rspells" \
- "$TARGET/ispells" \
- "$TARGET/ospells" \
- "$TARGET/$config" \
- "$TARGET/build_spell.sh"
+ rm -f "$TARGET/build_spells.sh"
}

# main()
@@ -446,5 +453,3 @@ touch "$SYSDIR"/etc/ld.so.conf

# Keep a clean kitchen, wipes up the leftovers from the preparation step
clean_target
-
-exit 0



  • [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (fe1a4191a3379214e6a4d6b77e8a5d14acdad7bd), Justin Boffemmyer, 01/07/2009

Archive powered by MHonArc 2.6.24.

Top of Page